WordPress.org

Plugin Directory

Far Future Expiry Header

This plugin will add a far future expiry header for various file types to improve page load speed of your site

This plugin offers a few lightweight features to speed up your WordPress site without much hassle.

Far Future Expiry

When the feature is enabled, this plugin will modify your .htaccess file by inserting code which will add expires headers for common static file types.

Expiry header specifies a time far enough in the future so that browsers won't try to re-fetch images, CSS, javascript etc files that haven't changed (this reduces the number of HTTP requests) and hence the performance improvement on subsequent page views.

Gzip Compression

You can also enable Gzip compression on your site using this plugin. Gzip compression will speed up your WordPress site by compressing the page output and sending it to your visitors browser.

When enabled, the plugin will do gzip compression if the visitor's browser can handle it.

This feature may conflict with a few other plugins. So disable this feature if you need to use a plugin which doesn't work with gzip compression.

Requires: 3.5 or higher
Compatible up to: 4.2.1
Last Updated: 2015-4-22
Active Installs: 5,000+

Ratings

4.3 out of 5 stars

Support

1 of 2 support threads in the last two months have been resolved.

Got something to say? Need help?

Compatibility

+
=
Not enough data

1 person says it works.
0 people say it's broken.

100,1,1
100,1,1
100,1,1
100,1,1
100,1,1
100,1,1